%define name gftp
%define version 2.0.3
%define release 1
%define prefix /usr

Summary: Multithreaded FTP client for X Windows

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Internet
Url: http://www.newwave.net/~masneyb/
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: gtk+ >= 1.2.0

%changelog

* Thu Jul  8 1999 Michael Fulbright <drmike@redhat.com>
- version 2.0.3

* Wed Jul  7 1999 Michael Fulbright <drmike@redhat.com>
- bumped to version 2.0.2

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 1.13

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- patch to fix a segfault reported by Chris Evans <chris@ferret.lmh.ox.ac.uk>

* Tue Feb 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.12

* Wed Feb 10 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file

%description
gFTP is a multithreaded FTP client for X Windows written using Gtk. It
allows to have simultaneous downloads, resuming of interrupted file
transfers, file transfer queues, a very nice connection manager and
many more features.

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
#
# msf - have to make this because make install will fail otherwise
#
mkdir -p $RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet

make PREFIX=$RPM_BUILD_ROOT%{prefix} install

%files
%doc  README TODO CHANGELOG COPYING COPYING.LIB eplf.txt rfc959.txt
%attr(755,root,root) %{prefix}/bin/gftp
%{prefix}/share/gnome/apps/Internet/gftp.desktop
%{prefix}/share/gftp

%clean
rm -r $RPM_BUILD_ROOT


